﻿using System.Collections.Generic;
using Telerik.OpenAccess.Metadata.Fluent;

namespace FluentAPI.Model
{
  
    /// <summary>
    /// Integration with the OpenAccess Enhancer
    /// The custom FluentMetadataSource class and your business objects must be located in the same project. However, this is not mandatory for the OpenAccessContext class.
    /// </summary>
    public class DemoMetadataSource : FluentMetadataSource
    {
        protected override IList<MappingConfiguration> PrepareMapping()
        {
            return new List<MappingConfiguration>();
        }

        protected override Telerik.OpenAccess.Metadata.MetadataContainer CreateModel()
        {
            var model = base.CreateModel();

            //Ensure Foregin Keys are create even when null
            model.DefaultMapping.NullForeignKey = true;

            return model;
        }

    }
}
